#include<iostream>
#include<fstream>
#include<cmath>
#include<iomanip>
using namespace std;
int main()
{
	ifstream fi("CP.INP");
	long long n;
	fi>>n;
	fi.close();
	ofstream fo("CP.OUT");
    long long i;
    i=sqrt(n);
    if(i*i==n){fo<<"YES";}
    else{fo<<"NO";}
    return 0;
}
